// Copyright © 2023 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#ifndef __ESWIN_ACCELERATOR_KIT_ERROR_H__
#define __ESWIN_ACCELERATOR_KIT_ERROR_H__

#include "es_errno.h"
#include "es_common.h"

#define ES_AK_ERROR_BASE ES_DEF_ERR(ES_ID_AK, EN_ERR_LEVEL_ERROR, 0)
#define ES_AK_ERROR_NUM(X) (ES_AK_ERROR_BASE + EN_ERR_BUTT + X)

#define ES_AK_SUCCESS 0
#define ES_AK_ERROR_INVALID_DEVID ES_AK_ERROR_NUM(0x15)
#define ES_AK_ERROR_ILLEGAL_PARAM ES_AK_ERROR_NUM(0x16)
#define ES_AK_ERROR_LOAD_OP_FAILED ES_AK_ERROR_NUM(0x17)
#define ES_AK_ERROR_SUBMIT_TASK_FAILED ES_AK_ERROR_NUM(0x18)
#define ES_AK_ERROR_QUERY_FAILED ES_AK_ERROR_NUM(0x19)
#define ES_AK_ERROR_NOT_SUPPORT ES_AK_ERROR_NUM(0x1A)
#define ES_AK_ERROR_OUTBUF ES_AK_ERROR_NUM(0x1B)
#define ES_AK_ERROR_GET_OP_FUNC_FAILED ES_AK_ERROR_NUM(0x1C)
#define ES_AK_ERROR_OP_EVAL_FAILED ES_AK_ERROR_NUM(0x1D)
#define ES_AK_ERROR_OPEN_FILE_FAILED ES_AK_ERROR_NUM(0x1E)
#define ES_AK_ERROR_READ_FILE_FAILED ES_AK_ERROR_NUM(0x1F)
#define ES_AK_ERROR_WRITE_FILE_FAILED ES_AK_ERROR_NUM(0x20)
#define ES_AK_ERROR_INVALID_VER ES_AK_ERROR_NUM(0x21)

#endif