// Copyright © 2023 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#ifndef __ESWIN_ACCELERATOR_KIT_TYPES_H__
#define __ESWIN_ACCELERATOR_KIT_TYPES_H__

#include "es_type.h"
#include "es_nn_common.h"
#include <linux/es_vb_user.h>

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif
#endif

typedef struct AK_Capability_S {
    ES_U64 reserved;
} ES_AK_Capability_S;

typedef enum AK_LOG_LEVEL_E {
    ES_AK_LOG_ERROR = 0x1,
    ES_AK_LOG_WARNING = 0x2,
    ES_AK_LOG_INFO = 0x3,
    ES_AK_LOG_DEBUG = 0x4,
    ES_AK_LOG_NONE
} ES_AK_LOG_LEVEL_E;

typedef enum AK_DEVICE_E {
    ES_AK_DEV_DSP_0 = 0x0,
    ES_AK_DEV_DSP_1 = 0x1,
    ES_AK_DEV_DSP_2 = 0x2,
    ES_AK_DEV_DSP_3 = 0x3,
    ES_AK_DEV_DSP_4 = 0x4,
    ES_AK_DEV_DSP_5 = 0x5,
    ES_AK_DEV_DSP_6 = 0x6,
    ES_AK_DEV_DSP_7 = 0x7,
    ES_AK_DEV_HAE_0 = 0x8,
    ES_AK_DEV_HAE_1 = 0x9,
    ES_AK_DEV_GPU_0 = 0xa,
    ES_AK_DEV_GPU_1 = 0xb,
    ES_AK_DEV_BUTT
} ES_AK_DEVICE_E;

typedef enum {
    BORDER_CONSTANT = 0,
    BORDER_REPLICATE = 1,
    BORDER_REFLECT = 2,
    BORDER_WRAP = 3,
    BORDER_REFLECT_101 = 4,
    BORDER_TRANSPARENT = 5,
    BORDER_ISOLATED = 16
} ES_BORDER_TYPES_E;

#define AFFINE_MATRIX_SIZE 9

#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif

#endif
